/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.iZc.MazeGame.Level;

import de.nplusc.iZc.MazeGame.cells.MazeCell;
import java.awt.Image;

/**
 *
 * @author LH
 */
public abstract class Chunk
{
    public static final int A4_SHEET_5mm_height = 58;
    public static final int A4_SHEET_5mm_width = 42;
    
    
    
    //x,y;layering; 
    private MazeCell[][][] chunkField;
    
    private int xsize,ysize; //müssen nicht identisch sein; globales koordinatensystem regelt das ausrichten
    
    private int xpos,ypos; // chunkposition im globalen koordinatengitter; map generiert daraus
                           //nicht stackbar deshalob nur X und Y; 
    
    
    
    
    private int mapX,mapY; // werden zum position auf map finden genutzt
    private int[][] forceUncoveredChunks; //zum die lücken zwischen areas der Map zu schließen //werden nach ausführen im player gesaved;

    
    
    
    
    
    
    public MazeCell[][][] getChunkField()
    {
        return chunkField;
    }

    public void setChunkField(MazeCell[][][] chunkField)
    {
        this.chunkField = chunkField;
    }

    public int getXsize()
    {
        return xsize;
    }

    public void setXsize(int xsize)
    {
        this.xsize = xsize;
    }

    public int getYsize()
    {
        return ysize;
    }

    public void setYsize(int ysize)
    {
        this.ysize = ysize;
    }

    public int getXpos()
    {
        return xpos;
    }

    public void setXpos(int xpos)
    {
        this.xpos = xpos;
    }

    public int getYpos()
    {
        return ypos;
    }

    public void setYpos(int ypos)
    {
        this.ypos = ypos;
    }

    public int getMapX()
    {
        return mapX;
    }

    public void setMapX(int mapX)
    {
        this.mapX = mapX;
    }

    public int getMapY()
    {
        return mapY;
    }

    public void setMapY(int mapY)
    {
        this.mapY = mapY;
    }

    public int[][] getForceUncoveredChunks()
    {
        return forceUncoveredChunks;
    }

    public void setForceUncoveredChunks(int[][] forceUncoveredChunks)
    {
        this.forceUncoveredChunks = forceUncoveredChunks;
    }
    
    
    
    
    public abstract Image getBackground();
    
         
}
